function [x,k] = solvIteration(Method,A,b,inix,Tol)
%solvIteration.m
%  @(Jacobi@܂Gauss-Seidel@)ɂs̉@
%  ASY̑I͕őID
%      gpASY
%          Jacobi@ F solvJacobi()֐
%          Gauss-Seidel@ F solvGasSei()֐
%  F[x,k] = solvIteration (Method,A,b,inix,Tol)
%  ͈
%      MethodF      ASY    jacobi=Jacobi@ /
%                                            gauss=Gauss-Seidel@
%      AFs         Ws
%      bFcxNg       萔xNg
%      inixFcxNg    ̏l
%      TolFXJ         vZx s̓ftHgli1e-5j
%  ói߂lj
%      xFcxNg       xNg
%      kFXJ           
    if isempty(Tol)
        Tol = 1e-5;               %ftHǧvZx
    end
    arg = lower(Method);      %  ɕϊ
    switch arg
    case    'jacobi'    %  Running Jacobi Method
                    disp('Run Jacobi Method');
%                     [x,k]=solvJacobi(A,b,inix,Tol);
                    [x,k]=solvJacobi(A,inix,b,Tol);
    case    'gauss'     %  Running Gauss-Seidel Method
                    disp('Run Gauss-Seidel Method');
                    [x,k]=solvGasSei(A,b,inix,Tol);
    otherwise
        disp('unkown Argorizum');        
    end
end
