function [xr] = bisec(a,rt,tol,lmt)
%binec.sci bisection method
%  WxNg a ̑㐔f̉݌@iReguler False Methodjŋ߂D
%  ̎̉̐xtolƂD
%  
%      xr = bisec(a,rt,tol)
%     a : 㐔f̌WxNg
%              f(x) = a(1)+a(2)*x+a(3)*x^2+ ... +a(n)*x^(n-1)
%         rt: ݂z
%              rt = [x1 x2] x = x1 ` x2̊Ԃɑ݂Ɖ肷
%         tol:vZx()
%         lmt:[vE()
%              w肵񐔂ŉȂ
%  ߂l xr: 
    x1 = rt(1); x2 = rt(2);
    %   G[`
    ME1 = MException('BisctionMethodError:OutRange', ...
                     '[%f %f]ɉ݂͑܂',rt(1),rt(2));
    ME2 = MException('BisctionMethodError:OutCount', ...
                     'w%dŉ߂܂ł',lmt);
    rtf1 = polyval(a,x1);    rtf2 = polyval(a,x2);
    xm = x1 - (x2 - x1)*rtf1/(rtf2 - rtf1);
    cnt = 1;
    while abs(rtf1-rtf2) > tol
        sgnfa = sign(rtf1);     % f(x1)̕o
        sgnfb = sign(rtf2);     % f(x2)̕o
        try     % ԓ̗̉D`FbN
            if sgnfa == sgnfb   % f(x1)f(x2)ȂΉ𖳂Ƃ
                xm = NaN;
                error(ME1.identifier);  % G[𔭐
            end
        catch
            error(ME1.identifier,'%s\n%s',ME1.identifier,ME1.message);
        end
        xm = x1 - (x2 - x1)*rtf1/(rtf2 - rtf1);  %   Reguler False Method
        fm = polyval(a,xm);  sgnxm = sign(fm);
        if sgnxm == sgnfa
            x1 = xm;        rtf1 = polyval(a,x1);
        end
        if sgnxm == sgnfb
            x2 = xm;        rtf2 = polyval(a,x2);
        end
        % ̔
        if abs(fm) <= tol
            break;
        end
        try     % [vh~p
            cnt = cnt + 1;
            if cnt > lmt
                xm = NaN;
                error(ME2.identifier);  % G[𔭐
            end
        catch
            error(ME2.identifier,'%s\n%s',ME2.identifier,ME2.message);
        end
    end
    xr = xm;
end
