function [ x,k ] = solvGasSei(A,b,inix,GTol)
%solvGasSei.m Gauss-Seidel@
%   Gauss-Seidel@ɂsAx = b̉@
%   F[x,k] = solvGasSei(A,b,inix,GTol)
%   ͈
%     AFs       Ws
%     bFcxNg     萔xNg
%     inixFcxNg  ̏l
%     GTolFXJ      vZx     s̓ftHgli1e-5j
%   ói߂lj
%     xFcxNg     xNg
%     kFXJ         
    [M,N] = size(A);
    %p[^̃G[`FbN
    if (M ~= N)          %G[Fs̃`FbN
        x = []; k = NaN;
        return;
    end
    dA = diag(A);
    if ~all(dA)          % G[FΊpvf̃`FbN
        x = []; k = -inf;
        return;
    end
    if isempty(GTol)
        GTol = 1e-5;               %ftHǧvZx
    end
    n = length(b);  x = inix;   k = 0;
    dX = ones(n,1);
    while (norm(dX) / norm(x)) > GTol
        for i = 1:n
            dX(i) = b(i) ./ dA(i);
            dX(i) = dX(i) - A(i,:)*x./dA(i);
            x(i) = x(i) + dX(i);
            k = k + 1;
        end
    end
end
