function [x,k]=solvJacobi(A,inix,b,JTol)
%    Jacobi Method̃eXgXNvg
%   Ax = b ̍s̉Jacobi@gĉ߂D
%   F[x,k] = solvJacobi(A,inix,b,JTol);
% AF	 s    Ws
% inixFcxNg   xNg̏l
% bF	 cxNg  萔xNg
% JTolFXJ	     e덷	sw莞̓ftHgli1e-5j
% ói߂lj
% xF	cxNg	xNg
% kF	XJ		JԂ
    [M,N] = size(A);
    if (M ~= N) 			%G[Fs̃`FbN
        x = []; k = NaN;
        return;
    end
    dA = diag(A);
    if ~all(dA)				% G[FΊpvf̃`FbN
        x = []; k = -inf;
        return;
    end
    if isempty(JTol)
        JTol = 1e-5; 			% ftHǧvZx
    end
    invD = (dA .^ -1); 		% Ίpvf̋t
    dX = inix;    x = inix; 		% l̃Zbg
    k = 0; 				% [v
    while (norm(dX)/norm(x)) > JTol	% 
        dX = (b-A*x).*invD; 	% Jacobi Method
        x = x + dX;
        k = k + 1;
    end
end
