function [ x,k ] = solvSORerr(A,b,inix,varargin)
%solvSOR.m SOR@(ɘa@FSuccessive Over-Relaxation Method)
%   SOR@ɂsAx = b̉@
%   F[x,k] = solvSOR(A,b,inix,STol,w)
%   STol,w͏ȗDCSTolȗww肷ꍇSTolɋs
%   w肷邱ƁD
%   ͈
%     AFs       Ws
%     bFcxNg     萔xNg
%     inixFcxNg  ̏l
%     STolFXJ      vZx     ȗ̓ftHgli1e-5j
%     wFXJ         ɘaW     w = 1Gauss-Seidel@ł̌vZ
%   ói߂lj
%     xFcxNg     xNg
%     kFXJ         
%   G[R[h
%     x = []           G[
%     k = NaN          sAsł͂Ȃ
%     k = -inf         sȂΊpvfɃ[܂܂Ă
    [M,N] = size(A);
    %p[^̃G[`FbN
    if (M ~= N)          %G[Fs̃`FbN
        x = []; k = NaN;
        return;
    end
    dA = diag(A);
    if ~all(dA)          % G[FΊpvf̃`FbN
        x = []; k = -inf;
        return;
    end
    switch nargin
        case 3      % STol,wȗ
            STol = 1e-5;    %ftHg̎x
            % XyNga̎Z
            [SpcRmin,SpcRmax] = SpecRadiu(A);
            if SpcRmin == SpcRmax
            	rou = SpcRmax;
            else
                rou = (SpcRmax + SpcRmin)/2;
            end
            w = 2 / (1+sqrt(1-rou^2));          % ɘaW̌vZ
        case 4      % wȗ
            STol = varargin{1}; % ͋s͑z肵Ȃ
            % XyNga̎Z
            [SpcRmin,SpcRmax] = SpecResdu(A);
            if SpcRmin == SpcRmax
            	rou = SpcRmax;
            else
                rou = (SpcRmax + SpcRmin)/2;
            end
             w = 2 / (1+sqrt(1-rou^2));
        case 5      % ȗȂ
            STol = varargin{1,1};
            if isempty(STol)
                STol = 1e-5;
            end
            w = varargin{1,2};
            %ɘaW͈̔̓`FbN
            if (1 >= w) || (w >= 2) %ɘaW͈͊O
                error(['w肵ɘaW%fł͔U', ...
                       '\܂\n'...'
                       'ɘaW̒lČĂ'],w);
            end
    end
%    w = 2 / (1+sqrt(1-rou^2));          % ɘaW̌vZ
    n = length(b);  x = inix;   k = 0;
    dX = ones(n,1);
    while (norm(dX) / norm(x)) > STol
        for i = 1:n
            dX(i) = b(i) ./ dA(i);
            dX(i) = dX(i) - A(i,:)*x./dA(i);
            x(i) = x(i) + w*dX(i);      % SOR
        end
        k = k + 1;
    end
end
