function varargout = romberg(a,b,func,N)
%   Romberg QuardFo[Oϕɂ鋁ϊ֐
%       R = romberg(a,b,N,func)
%   
%       a,b     ϕ
%       func    ϕ֐̖O
%               ̊֐func(x)ŌĂяo
%       N       o[O\̍sї̐
%   o
%       R       o[Oϕ̕\DR(N,N)Ƃx̐ϕl
%               PƂ̖߂l̏ꍇ͘_o[Oϕl
%       TblSize o[O\̃TCYiIvVj
%               ̃IvVw肷邱ƂɂC߂lR
%               o[O\ɂȂD

    if isa(func,'char')         %   ֐H
        fh = str2fun(func);     %   ֐nhւ̕ϊ
    elseif isa(func,'function_handle')
        fh = func;
    end
    R = zeros(N,N);             %   o[O\̏
    %ƂuevR(1,1)vZ
    h = b - a;      %Ƃuev`̕
    np = 1;         %`̐̌ݒn
    R(1,1) = h * (fh(a) + fh(b)) / 2;
    
    %]̍s i = 2,EEE,NɂāCȉ̎菇JԂ
    for i = 2:N
        %Qߌ``̘ǎ̕vZ
        h = h / 2;      %`̕𔼕ɂ
        np = 2*np;      %`̐2{
        %svZp
%         k = 1:2:np-1;   % k̓xNg
% %         Leng = length(k);   %debug
%         sumT = sum(feval(func,a+k*h));  % xNg̗vfa
%ƂƂ̌vZ
        sumT = 0;
        for k = 1:2:np-1    %̃[vk = 1,3,5,EEE,np-1
            sumT = sumT + fh(a + k*h);
        end
        
        %o[O\R(i,1),R(i,2),EEE,R(i,i)vZ
        R(i,1) = 1/2 * R(i-1,1) + h*sumT;
        m = 1;
        for j = 2:i
            m = 4*m;
            R(i,j) = R(i,j-1) + (R(i,j-1) - R(i-1,j-1)) / (m-1);
        end
    end
    %   ߂l̐ݒ
    if 1==nargout               % ߂l1ϐ̏ꍇ
        varargout{1} = R(N,N);
    elseif 2==nargout           % ߂l2ϐ̏ꍇ
        varargout{1} = R;
        varargout{2} = N;
    end
end
